For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETAccount Benchmark Quantiles
      • GETAccount Benchmark Scaling
      • GETAccount Available Models
      • GETAccount Benchmark Tradeoff At Scale
      • GETBenchmark Quantiles Route
      • GETBenchmark Tradeoff At Scale Route
      • GETBenchmark Scaling
      • GETBenchmark Available Models
      • GETAvailable Company Categories
      • GETBenchmark Combined Time Series
      • GETBenchmark Time Series Endpoint
      • GETDeal Benchmark Quantiles
      • GETDeal Benchmark Tradeoff At Scale
      • GETColumns Metadata
      • GETModels Metadata
      • GETCategories Metadata
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataBenchmarking

Categories Metadata

GET
/api/v1/data/benchmark/metadata/categories
GET
/api/v1/data/benchmark/metadata/categories
$curl https://app.termina.ai/api/v1/data/benchmark/metadata/categories \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "name": "saas",
4 "friendly_name": "SaaS",
5 "parent_name": "string",
6 "preferred_user_type": "business",
7 "description": "",
8 "long_description": "",
9 "enabled": true
10 }
11]
Get metadata for benchmark categories. Returns information about all enabled benchmark categories including: - Category names and friendly display names - Default user type for each category (business or consumer)
Was this page helpful?
Previous

All Diligence Metadata

Next
Built with

Get metadata for benchmark categories.

Returns information about all enabled benchmark categories including:

  • Category names and friendly display names
  • Default user type for each category (business or consumer)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
namestring
The name of the category.
friendly_namestring
The friendly displayable name of the category.
parent_namestring or null
The name of the parent category.
preferred_user_typeenum
The preferred user type for the category.
descriptionstringDefaults to
A short description of the category.
long_descriptionstringDefaults to
A long description of the category.
enabledbooleanDefaults to true
Whether the category is enabled.